Package picard.arrays.illumina

## Class InfiniumGTCFile

- java.lang.Object
- - picard.arrays.illumina.InfiniumDataFile
  - - picard.arrays.illumina.InfiniumGTCFile

- All Implemented Interfaces:
    `AutoCloseable`

      public class InfiniumGTCFile
      extends InfiniumDataFile
      implements AutoCloseable

  A class to parse the contents of an Illumina Infinium genotype (GTC) file A GTC file is the output of Illumina's genotype calling software (either Autocall or Autoconvert) and contains genotype calls, confidence scores, basecalls and raw intensities for all calls made on the chip. This class will parse the binary GTC file format and allow access to the genotype, scores, basecalls and raw intensities.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `AA_CALL` |
    `static byte` | `AB_CALL` |
    `static byte` | `BB_CALL` |
    `static byte` | `NO_CALL` |

    - ### Fields inherited from class picard.arrays.illumina.InfiniumDataFile

      `MAX_UNSIGNED_SHORT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfiniumGTCFile​(File gtcFile, File bpmFile)` | Creates an InfiniumGTCFile object and parses the given input file.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `long` | `getAaCalls()` |
    `int` | `getAbCalls()` |
    `String` | `getAutoCallDate()` |
    `String` | `getAutoCallVersion()` |
    `float[]` | `getbAlleleFreqs()` |
    `byte[][]` | `getBaseCalls()` |
    `long` | `getBbCalls()` |
    `double` | `getCallRate()` |
    `String` | `getClusterFile()` |
    `int` | `getDx()` |
    `String` | `getGender()` |
    `byte[]` | `getGenotypeBytes()` |
    `float[]` | `getGenotypeScores()` |
    `double` | `getHetPercent()` |
    `String` | `getImagingDate()` |
    `String` | `getImagingUser()` |
    `float` | `getLogRDev()` |
    `float[]` | `getLogRRatios()` |
    `float[]` | `getNormalizedXIntensities()` |
    `float[]` | `getNormalizedYIntensities()` |
    `int` | `getNumberOfSnps()` |
    `int` | `getNumCalls()` |
    `int` | `getNumIntensityOnly()` |
    `int` | `getNumNoCalls()` |
    `int` | `getP05Green()` |
    `int` | `getP05Red()` |
    `float` | `getP10GC()` |
    `float` | `getP50GC()` |
    `int` | `getP50Green()` |
    `int` | `getP50Red()` |
    `int` | `getP95Green()` |
    `int` | `getP95Red()` |
    `int` | `getPloidy()` |
    `int` | `getPloidyType()` |
    `int` | `getPmtGreen()` |
    `int` | `getPmtRed()` |
    `int[]` | `getRawControlXIntensities()` |
    `int` | `getRawControlXIntensity​(int index)` |
    `int[]` | `getRawControlYIntensities()` |
    `int` | `getRawControlYIntensity​(int index)` |
    `int[]` | `getRawXIntensities()` |
    `int[]` | `getRawYIntensities()` |
    `InfiniumGTCRecord` | `getRecord​(int index)` |
    `float[]` | `getRIlmn()` |
    `String` | `getSampleName()` |
    `String` | `getSamplePlate()` |
    `String` | `getSampleWell()` |
    `String` | `getScannerName()` |
    `String` | `getScannerVersion()` |
    `String` | `getSentrixBarcode()` |
    `String` | `getSnpManifest()` |
    `float[]` | `getThetaIlmn()` |

    - ### Methods inherited from class picard.arrays.illumina.InfiniumDataFile

      `byteArrayToCharArray, byteArrayToFloat, byteArrayToInt, floatToByteArray, getIdentifier, setIdentifier, shortToByteArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_CALL

          public static final byte NO_CALL

      See Also:
        Constant Field Values

    - #### AA_CALL

          public static final byte AA_CALL

      See Also:
        Constant Field Values

    - #### AB_CALL

          public static final byte AB_CALL

      See Also:
        Constant Field Values

    - #### BB_CALL

          public static final byte BB_CALL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InfiniumGTCFile

          public InfiniumGTCFile​(File gtcFile,
                                 File bpmFile)
                          throws IOException

      Creates an InfiniumGTCFile object and parses the given input file.
      Parameters:
        `gtcFile` - The gtc file.
        `bpmFile` - The Illumina bead pool manifest (bpm) file
      Throws:
        `IOException` - is thrown when there is a problem reading the files.

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### getRecord

          public InfiniumGTCRecord getRecord​(int index)

    - #### getHetPercent

          public double getHetPercent()

    - #### getSampleName

          public String getSampleName()

    - #### getSamplePlate

          public String getSamplePlate()

    - #### getSampleWell

          public String getSampleWell()

    - #### getClusterFile

          public String getClusterFile()

    - #### getSnpManifest

          public String getSnpManifest()

    - #### getImagingDate

          public String getImagingDate()

    - #### getAutoCallDate

          public String getAutoCallDate()

    - #### getAutoCallVersion

          public String getAutoCallVersion()

    - #### getRawControlXIntensities

          public int[] getRawControlXIntensities()

    - #### getRawControlYIntensities

          public int[] getRawControlYIntensities()

    - #### getScannerName

          public String getScannerName()

    - #### getPmtGreen

          public int getPmtGreen()

    - #### getPmtRed

          public int getPmtRed()

    - #### getScannerVersion

          public String getScannerVersion()

    - #### getImagingUser

          public String getImagingUser()

    - #### getCallRate

          public double getCallRate()

    - #### getGender

          public String getGender()

    - #### getNumberOfSnps

          public int getNumberOfSnps()

    - #### getNumCalls

          public int getNumCalls()

    - #### getNumNoCalls

          public int getNumNoCalls()

    - #### getRawControlXIntensity

          public int getRawControlXIntensity​(int index)

    - #### getRawControlYIntensity

          public int getRawControlYIntensity​(int index)

    - #### getPloidy

          public int getPloidy()

    - #### getPloidyType

          public int getPloidyType()

    - #### getP05Red

          public int getP05Red()

    - #### getP50Red

          public int getP50Red()

    - #### getP95Red

          public int getP95Red()

    - #### getP05Green

          public int getP05Green()

    - #### getP50Green

          public int getP50Green()

    - #### getP95Green

          public int getP95Green()

    - #### getLogRDev

          public float getLogRDev()

    - #### getP10GC

          public float getP10GC()

    - #### getP50GC

          public float getP50GC()

    - #### getNumIntensityOnly

          public int getNumIntensityOnly()

    - #### getAaCalls

          public long getAaCalls()

    - #### getBbCalls

          public long getBbCalls()

    - #### getSentrixBarcode

          public String getSentrixBarcode()

    - #### getDx

          public int getDx()

    - #### getBaseCalls

          public byte[][] getBaseCalls()

    - #### getAbCalls

          public int getAbCalls()

    - #### getRawXIntensities

          public int[] getRawXIntensities()

    - #### getRawYIntensities

          public int[] getRawYIntensities()

    - #### getNormalizedXIntensities

          public float[] getNormalizedXIntensities()

    - #### getNormalizedYIntensities

          public float[] getNormalizedYIntensities()

    - #### getbAlleleFreqs

          public float[] getbAlleleFreqs()

    - #### getLogRRatios

          public float[] getLogRRatios()

    - #### getRIlmn

          public float[] getRIlmn()

    - #### getThetaIlmn

          public float[] getThetaIlmn()

    - #### getGenotypeBytes

          public byte[] getGenotypeBytes()

    - #### getGenotypeScores

          public float[] getGenotypeScores()